$(document).ready(function(){

	function getParameterByName(name, url) {
	    if (!url) {
	      url = window.location.href;
	    }
	    name = name.replace(/[\[\]]/g, "\\$&");
	    var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"),
	        results = regex.exec(url);
	    if (!results) return null;
	    if (!results[2]) return '';
	    return decodeURIComponent(results[2].replace(/\+/g, " "));
	}

	function checkNetwork(){
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/network_connection.php',
		    dataType    : 'text',
		    // encode   : true
			success:function(data){
				console.log(data);
				$('.networkmsg').text(data).fadeOut(1000);
		    },
		    error: function(data){
		        //if fails
		        console.log('Network Connection not available');
		        $('.networkmsg').fadeIn().text('Network Connection not available');
		    }
		});
	}

	function setCookie(cname,cvalue,exdays) {
	    var d = new Date();
	    d.setTime(d.getTime() + (exdays*24*60*60*1000));
	    var expires = "expires=" + d.toGMTString();
	    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
	}

	function getCookie(cname) {
	    var name = cname + "=";
	    var ca = document.cookie.split(';');
	    for(var i = 0; i < ca.length; i++) {
	        var c = ca[i];
	        while (c.charAt(0) == ' ') {
	            c = c.substring(1);
	        }
	        if (c.indexOf(name) == 0) {
	            return c.substring(name.length, c.length);
	        }
	    }
	    return "";
	}

	function checkCookie() {
	    var user=getCookie("email");
	    if(user == '' || user == 'null'){
	    	setCookie("email", 'null', 1000);
	    }
	    else if (user != "" && user != 'null') {
	        location.href = "menu.html";
	    }
	}

	function form_ajax_forgot_email(){
		var data_login = {
		        email : $('#email').val(),
		    };
		formData_json = JSON.stringify(data_login);
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/web_forgot_email.php',
		    data        : { 'logindata' : formData_json},
		    dataType    : 'text',
		    // encode   : true
			success:function(data){
				// console.log(data);
				// alert(data);
				if(data == 'Email Found'){
					// setCookie("email", $('#email').val(), 1000);
					$('.loadingsector').fadeOut();
					$('#emailforcode').val( $('#email').val() );
					$('.forgot-email-form').fadeOut(0);
					$('.forgot-code-form').fadeIn(0);
				}
				else{
					$('.validation_msg').addClass('red_bg').text(data).fadeIn();
					$('.loadingsector').fadeOut();
				}
		    },
		    error: function(data){
		        $('.validation_msg').addClass('red_bg').text('Unable to Reset Password. Please try again Later!').fadeIn();
		    }
		});
	}

	function form_ajax_forgot_code(){
		var data_forgot = {
		        email : $('#emailforcode').val(),
		        code : $('#code').val()
		    };
		formData_json = JSON.stringify(data_forgot);
		$.ajax({
		    type        : 'POST',
		    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form/appmypower/class/web_forgot_check_code.php',
		    data        : { 'logindata' : formData_json},
		    dataType    : 'text',
		    // encode   : true
			success:function(data){
				// console.log(data);
				// alert(data);
				if(data == 'Code Match'){
					// setCookie("email", $('#email').val(), 1000);
					$('.loadingsector').fadeOut();
					$('#emailforpass').val( $('#emailforcode').val() );
					$('#codeforpass').val( $('#code').val() );
					$('.forgot-code-form').fadeOut(0);
					$('.forgot-password-form').fadeIn(0);
				}
				else{
					$('.validation_msg').addClass('red_bg').text(data).fadeIn();
					$('.loadingsector').fadeOut();
				}
		    },
		    error: function(data){
		        $('.validation_msg').addClass('red_bg').text('Unable to Reset Password. Please try again Later!').fadeIn();
		    }
		});
	}

	function form_ajax_forgot_pass(){
		if( $('password').val() == $('passconf').val() ){
			var data_pass = {
			        email : $('#emailforcode').val(),
			        code : $('#code').val(),
			        password : $('#password').val()
			    };
			console.log(data_pass);
			formData_json = JSON.stringify(data_pass);
			$.ajax({
			    type        : 'POST',
			    url         : 'http://sketch.ourgoogle.in/projects/clients/survey/survey-form//appmypower/class/web_forgot_set_pass.php',
			    data        : { 'logindata' : formData_json},
			    dataType    : 'text',
			    // encode   : true
				success:function(data){
					// console.log(data);
					// alert(data);
					if(data == 'Password Reset'){
						// setCookie("email", $('#email').val(), 1000);
						// $('.validation_msg').addClass('green_bg').text(data).fadeIn();
						// $('.loadingsector').fadeOut();
						location.href = "index.html?msg=fgt_success";
					}
					else{
						$('.validation_msg').addClass('red_bg').text(data).fadeIn();
						$('.loadingsector').fadeOut();
					}
			    },
			    error: function(data){
			        $('.validation_msg').addClass('red_bg').text('Unable to Reset Password. Please try again Later!').fadeIn();
			    }
			});
		}
	}

	setInterval(checkNetwork,5000);

	$('.loader').fadeOut(2000);

	var quesry_string = getParameterByName('msg');
	$('.forgot-email-form').fadeIn(0);
	$('#submit_forgot_email').click(function(event){
		event.preventDefault();
		$('.loadingsector').fadeIn();
		form_ajax_forgot_email();
	});
	$('#submit_code').click(function(event){
		event.preventDefault();
		$('.loadingsector').fadeIn();
		form_ajax_forgot_code();
	});
	$('#submit_password').click(function(event){
		event.preventDefault();
		$('.loadingsector').fadeIn();
		form_ajax_forgot_pass();
	});
	checkCookie();
});