//  Declare SQL Query for Login Credentials
var db = openDatabase("Login_Credentials", "1.0", "Login Credentials", 200000);
var createStatement = "CREATE TABLE IF NOT EXISTS Login (id INTEGER PRIMARY KEY AUTOINCREMENT, username TEXT, password TEXT)";
var insertStatement = "INSERT INTO Login (username, password) VALUES (?, ?)";
var checkstatement = "SELECT * from Login where username = ? AND password = ?";
var selectAllStatement = "SELECT * from Login";
var dropStatement = "DROP TABLE Login";
var deleteStatement = "DELETE FROM Login WHERE username = ? AND password = ?";
var deleteAllStatement = "DELETE FROM Login";

//  Declare SQL Query for Profile Meta
var dbset = openDatabase("profile_meta", "1.0", "Profile Credentials", 2000000000);
var createStatement_profile = "CREATE TABLE IF NOT EXISTS profile (id INTEGER PRIMARY KEY AUTOINCREMENT, name TEXT, email TEXT, address TEXT, phone TEXT, pan TEXT, aadhaar TEXT, gross TEXT, net TEXT, other TEXT, job TEXT, organization TEXT, dl TEXT, elec_bill TEXT)";
var insertStatement_profile = "INSERT INTO profile (name, address, email, phone, pan, aadhaar, gross, net, other, job, organization, dl, elec_bill) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)";
var selectAllStatement_profile = "SELECT * from profile";
var dropStatement_profile = "DROP TABLE profile";
var deleteStatement_profile = "DELETE FROM profile";

// Function Call When Page is ready.
function initDatabase(){
    try {
        if (!window.openDatabase){
            alert('Databases are not supported in this Device.');
        }
        else {
            createTable();
        }
    }
    catch (e) {
        if (e == 2) {
            // Version number mismatch. 
            console.log("Invalid database version.");
        }
        else {
            console.log("Unknown error " + e + ".");
        }
        return;
    }
}

// Function for Create Table in SQLite.
function createTable(){
    db.transaction(function(tx) {
        tx.executeSql(createStatement, [], showRecords, onError);
    });
    dbset.transaction(function(tx) {
        tx.executeSql(createStatement_profile, [], showRecords, onError);
    });
}

// Get value and insert record.
function insertRecord(ins_username, ins_password, callback){
	createTable();
	db.transaction(function(tx) {
        tx.executeSql(checkstatement, [ins_username, ins_password], function(tx, resultmain) {
            datasetmain = resultmain.rows;
            console.log(datasetmain);
            if(datasetmain.length > 0){

            }
            else{
            	tx.executeSql(insertStatement, [ins_username, ins_password], function(){
            		callback('Login Successfull');
            	}, onError);
            }
        });
    });
}

// Function to insert Data after form submit
function insertMeta(){
	// createTable();
	//Deleting all records from Table profile
	dbset.transaction(function(tx) {
        tx.executeSql(deleteStatement_profile, [], function(){
        	//Inserting new record in profile
        	dbset.transaction(function(tx) {
		        tx.executeSql(insertStatement_profile, [$('#name').val(), $('#address').val(), $('#email').val(), $('#phone').val(), $('#pan').val(), $('#adhar').val(), $('#grossincome').val(), $('#netincome').val(), $('#othsrc').val(), $('#jobtitle').val(), $('#organization').val(), $('#dl').val(), $('#elecconsno').val()], function(){
		        	console.log('Data Inserted');
		        }, onError);
		    });
        }, onError);
    });
	
}

//Function to show Data on Page load
function showMeta(callback){
	createTable();
	dbset.transaction(function(tx) {
		tx.executeSql(selectAllStatement_profile, [], function(tx, resultmain) {
			datasetmain = resultmain.rows;
            callback(datasetmain);
		});
	});
}

// Function For Retrive data
function checkRecords(callback){
	createTable();
	db.transaction(function(tx) {
        tx.executeSql(selectAllStatement, [], function(tx, resultmain) {
            datasetmain = resultmain.rows;
            // console.log(datasetmain);
            if(datasetmain.length == 1){
            	// console.log(datasetmain);
				callback('Login Success');
            }
            else{
            	// console.log('false');
            	callback('Unable to verify user');
            }
        });
    });
}

function setlogdata(callback){
    db.transaction(function(tx) {
        tx.executeSql(selectAllStatement, [], function(tx, resultmain) {
            datasetmain = resultmain.rows;
            // console.log(datasetmain);
            if(datasetmain.length == 1){
                callback(datasetmain);
            }
        });
    });
}

// Function to show records
function showRecords(){
	// db.transaction(function(tx) {
 //        tx.executeSql(checkstatement, [username, password], function(tx, resultmain) {
 //            datasetmain = resultmain.rows;
 //            // console.log(datasetmain);
 //            if(datasetmain.length == 1){
 //            	// console.log(datasetmain);
	// 			callback('Login Success');
 //            }
 //            else{
 //            	// console.log('false');
 //            	callback('Unable to verify user');
 //            }
 //        });
 //    });
}

// Function for Handling Error
function onError(tx, error){
    console.log(error.message);
}

function onError1(tx, error){
    console.log('Insert '+error.message);
}

// Function to drop Table from database.
function dropTable(){
    db.transaction(function(tx) {
        tx.executeSql(dropStatement, [], showRecords, onError);
    });
    dbset.transaction(function(tx) {
        tx.executeSql(dropStatement_profile, [], showRecords, onError);
    });
    initDatabase();
}

// Function to delete
function deleteAlldata(){
    db.transaction(function(tx) {
        tx.executeSql(deleteAllStatement, [], showRecords, onError);
    });
    dbset.transaction(function(tx) {
        tx.executeSql(deleteStatement_profile, [], showRecords, onError);
    });
    initDatabase();
}